File x11-video-nvidiaG03.changes of Package nvidia-gfxG03

-------------------------------------------------------------------
Thu Mar 12 11:50:47 UTC 2020 - Stefan Dirsch <sndirsch@suse.com>

- using /usr/lib/tmpfiles.d/nvidia-logind-acl-trick-G0X.conf now,
  so a driver series update (when user ignores the explicit driver
  series conflict!) no longer will result in no access to NVIDIA
  devices (boo#1165987)

-------------------------------------------------------------------
Mon Jan  6 12:51:33 UTC 2020 - Stefan Dirsch <sndirsch@suse.com>

- added "azure" kernel flavor 

-------------------------------------------------------------------
Sun Jan  5 11:58:11 UTC 2020 - Stefan Dirsch <sndirsch@suse.com>

- update to version 340.108
  * Updated the nvidia-drm kernel module for compatibility with the removal
    of the DRIVER_PRIME flag in recent Linux kernel versions.
  * Updated nvidia-bug-report.sh to search the systemd journal for
    gdm-x-session logs.
  * Fixed a bug that could prevent nvidia-xconfig from disabling the X
    Composite extension on version 1.20 of the X.org X server.
  * Added support to nvidia-installer for systems which provide ncurses
    libraries supporting the ncurses widechar ABI only.
  * Updated nvidia-installer to avoid problems with commands whose proper
    functionality may be dependent on system localization (e.g. via the
    LANG environment variable.) For example, some kernel configurations
    may produce unusable kernel modules if LANG is set to a language
    other than English.
  * Updated nvidia-installer for better compatibility with ncurses when
    libncurses.so.6 exposes the ncurses reentrant ABI, such as on openSUSE
    Leap 15 and SUSE Linux Enterprise 15.
  * Fixed a build failure, "too many arguments to function 'get_user_pages'",
    when building the NVIDIA kernel module for Linux kernel v4.4.168.
  * Fixed a build failure, "implicit declaration of function do_gettimeofday",
    when building the NVIDIA kernel module for Linux kernel 5.0 release
    candidates.
- supersedes kernel-5.3.patch
- supersedes build fix for removed DRIVER_PRIME in kernel >= 5.4

-------------------------------------------------------------------
Fri Oct 11 12:08:32 UTC 2019 - Stefan Dirsch <sndirsch@suse.com>

- only apply kernel-5.3.patch on kernels >= 5.3; fixes build again
  on sle11 ...

-------------------------------------------------------------------
Mon Jul  8 14:10:55 UTC 2019 - Stefan Dirsch <sndirsch@suse.com>

- kmp-post.sh/kmp-trigger.sh
  * exit with error code 1 from %post/%trigger, if kernel module 
    build/install fails (boo#1131028)

-------------------------------------------------------------------
Tue Jul  2 08:10:05 UTC 2019 - Stefan Dirsch <sndirsch@suse.com>

- no longer touch xorg.conf on suse >= sle12

-------------------------------------------------------------------
Thu Jun 13 17:10:29 UTC 2019 - Stefan Dirsch <sndirsch@suse.com>

- making use of parallel builds with make's -j option 

-------------------------------------------------------------------
Fri Oct 12 13:34:09 UTC 2018 - sndirsch@suse.com

- let nvidia-glG03 %post-require xorg-x11-server, since on       
  Optimus we want to switch back to X.Org's libglx.so (bsc#1111471)

-------------------------------------------------------------------
Fri Oct 12 09:49:48 UTC 2018 - sndirsch@suse.com

- let nvidia-glG03 recommend the following packages:
  * Mesa-libGL1
  * Mesa-libEGL1
  * Mesa-libGLESv1_CM1
  * Mesa-libGLESv2-2
  This is needed for Optimus systems once NVIDIA's GL libs get disabled
  (our default); these packages won't get installed when adding NVIDIA's
  repository before the installation, which e.g. happens on SLED
  (bsc#1111471)

-------------------------------------------------------------------
Sun Sep 23 15:24:21 UTC 2018 - sndirsch@suse.com

- no longer alter, i.e. strip NVIDIA's libraries 

-------------------------------------------------------------------
Thu Jun  7 09:59:45 UTC 2018 - sndirsch@suse.com

- update to version 340.106
  * Updated nvidia-installer in the 340.xx legacy driver series to default
    to installing the driver without the NVIDIA Unified Memory kernel
    module if this module fails to build at installation time. The 340.xx
    legacy Unified Memory kernel module is incompatible with recent Linux
    kernels, and the GPU hardware generations that the 340.xx legacy driver
    series is intended to support do not support Unified Memory.
  * Added support for X.Org xserver ABI 24 (xorg-server 1.20).
  * Improved nvidia-bug-report.sh to check for kern.log which is the default
    kernel log-file location for many Debian-based Linux distributions.
  * Fixed a bug which could cause X servers that export a Video Driver
    ABI earlier than 0.8 to crash when running X11 applications which
    call XRenderAddTraps().

-------------------------------------------------------------------
Wed May 23 12:33:54 UTC 2018 - sndirsch@suse.com

- generate-service-file.sh: use https instead of ftp ... 
- _service: updated via generate-service-file.sh

-------------------------------------------------------------------
Thu May 17 19:00:46 UTC 2018 - sndirsch@suse.com

- workaround build failure of kernelrelease target on sle12-sp4
  (boo#1093333)

-------------------------------------------------------------------
Thu Mar 29 13:48:38 UTC 2018 - sndirsch@suse.com

- supplements macro name changed again with rpm 4.14.1, i.e. sle15/
  Leap15/TW (boo#1087460)
  * %__ksyms_supplements --> %__kmp_supplements

-------------------------------------------------------------------
Thu Feb  8 23:26:02 UTC 2018 - sndirsch@suse.com

- update to version 340.106
- supersedes kernel-4.14.patch, kernel-4.15.patch

-------------------------------------------------------------------
Mon Feb  5 15:50:27 UTC 2018 - sndirsch@suse.com

-  kernel-4.14.patch, kernel-4.15.patch:
  * fix build on recent kernels

-------------------------------------------------------------------
Sat Sep 30 12:55:08 UTC 2017 - sndirsch@suse.com

- update to version 340.104
  * Improved compatibility with recent Linux kernels.
  * Updated nvidia-installer to label kernel modules with SELinux
    file type 'modules_object_t'. Some system SELinux policies only
    permit loading of kernel modules with this SELinux file type.
  * Removed support for checking for and downloading updated driver
    packages and precompiled kernel interfaces from nvidia-installer.
    This functionality was limited to unencrypted ftp and http, and
    was implemented using code that is no longer actively maintained.
- obsoletes nvidia-340-4.12.patch, added kernel-4.11.patch for remaining
  issues in uvm module

-------------------------------------------------------------------
Thu Aug 31 12:17:23 UTC 2017 - sndirsch@suse.com

- nvidia-340-4.12.patch
  * new patch for Kernel 4.12
  * obsoletes nvidia-340-4.10.patch
- added %preinstall section to KMP for real, so existing manual
  NVIDIA driver installation gets uninstalled before KMP is being
  installed

-------------------------------------------------------------------
Fri Aug 18 12:27:47 UTC 2017 - sndirsch@suse.com

- kmp-post.sh/kmp-post-old.sh
  * make sure kernel module gets generated into initrd during
    kmp installation 
- x11-video-nvidiaG04.spec
  * %post: only recreate initrd if needed (possibly on sle11)
- nvidia-gfxG04.spec
  * use trigger scripts for Leap 42.3/sle12-sp3; trigger
    in addition to %post on uninstall of drm-kmp (boo#1053934)
- preamble:
  * readded provides to drm-kmp on Leap 42.3/sle12-sp3, since
    otherwise NVIDIA KMP isn't autoselected :-(

-------------------------------------------------------------------
Mon Jun 19 17:16:42 UTC 2017 - sndirsch@suse.com

- computeG03: added conflicts to libOpenCL1 (boo#1044948)  

-------------------------------------------------------------------
Sat May 27 02:57:18 UTC 2017 - sndirsch@suse.com

- moved libnvidia-eglcore.so.* to nvidia-glG03 (bsc#1021634)

-------------------------------------------------------------------
Fri May 26 21:03:53 UTC 2017 - alarrosa@suse.com

- moved libnvidia-glsi.so.*, which is required by NVIDIA's libEGL
  from x11-vide-nvidiaG04 to nvidia-glG04 (bsc#1021634)

-------------------------------------------------------------------
Thu May 25 09:55:29 UTC 2017 - sndirsch@suse.com

- removed/disabled Xwrapper for TW/sle15, since you can't rely any
  longer on a displaymanager running as root (bsc#1040699)

-------------------------------------------------------------------
Wed May 24 17:16:07 UTC 2017 - sndirsch@suse.com

- moved libnvidia-tls.so.*, which is required by NVIDIA's libGL 
  from x11-video-nvidiaG03 to nvidia-glG03 (bsc#1021634)

-------------------------------------------------------------------
Fri May 19 12:36:21 UTC 2017 - sndirsch@suse.com

- fixed dependancies so nvidia-computeG03 can now be installed
  without x11-video-nvidiaG03 package
  * moved 32bit libnvidia-ml.so.* and libnvidia-opencl.so* from
    x11-video-nvidiaG03 to nvidia-computeG03 package

-------------------------------------------------------------------
Mon Apr 24 17:24:18 UTC 2017 - toddrme2178@gmail.com

- Various spec file and rpmlint cleanups:
  * Improve descriptions
  * Add URL
  * Remove spurious obsoletes (higher versions don't necessarily
    replace lower ones due to dropped graphics card support).
  * Add %config tags
  * Update year
  * Use versioning provides to avoid self-obsoletes.

-------------------------------------------------------------------
Thu Feb 16 15:50:14 UTC 2017 - sndirsch@suse.com

- update to version 340.102
  * Added support for X.Org xserver ABI 23 (xorg-server 1.19)
  * Fixed a bug that allowed nvidia-installer to attempt loading 
    kernel modules that were built against non-running kernels.

-------------------------------------------------------------------
Mon Dec 12 10:20:49 UTC 2016 - sndirsch@suse.com

- update to version 340.101

-------------------------------------------------------------------
Thu Oct 27 13:55:10 UTC 2016 - sndirsch@suse.com

- modprobe.d/50-nvidia.conf: avoid loop in driver load, when gfx
  card is not supported (bnc#1004201); "install" one liner is now
  generatedd from a properly readable shell script called
  modprobe.nvidia.install in the package sources

-------------------------------------------------------------------
Mon Sep 26 09:02:02 UTC 2016 - sndirsch@suse.com

- update to version 340.98
  * Added support for the screen_info.ext_lfb_base field, on 
    kernels that have it, in order to properly handle UEFI 
    framebuffer consoles with physical addresses above 4GB.
- supersedes nvidia-kernel-4.6.diff

-------------------------------------------------------------------
Thu Feb 18 12:02:13 UTC 2016 - sndirsch@suse.com

- pci_ids: leap is considered newer than openSUSE 13.2

-------------------------------------------------------------------
Fri Nov 27 11:27:17 UTC 2015 - sndirsch@suse.com

- update-alternatives for libglx.so:
  * make sure nvidia becomes the default (in case the link group
    is/was still in manual mode)

-------------------------------------------------------------------
Thu Nov 12 15:01:26 UTC 2015 - sndirsch@suse.com

- update to version 340.96

-------------------------------------------------------------------
Thu Nov  5 13:13:52 UTC 2015 - sndirsch@suse.com

- moved /etc/ld.so.conf.d/nvidia-gfxG03.conf to nvidia-glG03, i.e.
  the package which touches this file during %post (bnc#952076)

-------------------------------------------------------------------
Thu Sep  3 08:39:32 UTC 2015 - sndirsch@suse.com

- update to version 340.93
  * Fixed a bug that caused the X server to crash if an OpenGL application
    tried to allocate a drawable when GPU-accessible memory is exhausted.
  * Fixed a bug that could cause an Xid error when terminating a video
    playback application using the overlay presentation queue in VDPAU.
  * Updated nvidia-installer to avoid recursing too deeply into kernel source
    trees under /usr/lib/modules, mirroring an existing restriction on recursion
    under /lib/modules.
  * Fixed a rare deadlock condition when running applications that use
    OpenGL in multiple threads on a Quadro GPU.
  * Fixed a bug which caused truncation of the EGLAttribEXT value returned
    by eglQueryDeviceAttribEXT() on 64-bit systems.
  * Fixed a kernel memory leak that occurred when looping hardware-
    accelerated video decoding with VDPAU on Maxwell-based GPUs.
  * Fixed a bug that caused the X server to crash if a RandR 1.4 output
    provided by a Sink Output provider was selected as the primary output on
    X.Org xserver 1.17 and higher.
  * Fixed a bug that caused waiting on X Sync Fence objects in OpenGL to
    hang indefinitely in some cases.
  * Fixed a bug that prevented OpenGL from properly recovering from
    hardware errors or sync object waits that had timed out.
- supersedes nvidia-340.76-kernel-4.0.patch

-------------------------------------------------------------------
Tue Sep  1 18:12:25 UTC 2015 - sndirsch@suse.com

- U_Use-secure_getenv-3-to-improve-security.patch
  * VUL-0: CVE-2015-5198: libvdpau: incorrect check for security
    transition (bnc#943967)
  * VUL-0: CVE-2015-5199: libvdpau: directory traversal in dlopen
    (bnc#943968)
  * VUL-0: CVE-2015-5200: libvdpau: vulnerability in trace
    functionality (bnc#943969)

-------------------------------------------------------------------
Tue Jun 16 13:49:11 UTC 2015 - sndirsch@suse.com

- added Obsoletes/Conflicts for G02 and older (bnc#802624) 

-------------------------------------------------------------------
Mon Jun 15 12:38:04 UTC 2015 - sndirsch@suse.com

- avoid accidental removal of G<n+1> alternative (bnc#802624) 

-------------------------------------------------------------------
Thu Mar  5 11:59:36 UTC 2015 - sndirsch@suse.com

- added missing PCI IDs in sle11(bnc#920799), G04 (also covering 
  these) cannot be used for sle11!

-------------------------------------------------------------------
Mon Feb  2 11:55:08 UTC 2015 - sndirsch@suse.com

- created legacy pci_ids for openSUSE > 13.2

-------------------------------------------------------------------
Mon Feb  2 09:36:09 UTC 2015 - sndirsch@suse.com

- update to (meanwhile) legacy branch version 340.76
  * Fixed a bug that caused frequent AMD-Vi page faults on systems with
    some AMD 8xx/9xx-series chipsets when used with some NVIDIA GPUs.
  * Fixed a regression that could cause system crashes when terminating the
    X server on systems with an NVIDIA Quadro SDI Capture card installed.
  * Fixed a bug that caused audio over HDMI to not work on some GPUs while
    using a display that supports HDMI 3D.

-------------------------------------------------------------------
Mon Jan 12 14:31:07 UTC 2015 - sndirsch@suse.com

- modprobe.nvidia: create device nodes /dev/nvidiaX for any NVIDIA
  VGA graphics/3D controller (PCI classes 0x0300/0x0302)

-------------------------------------------------------------------
Fri Dec  5 10:31:12 UTC 2014 - mmarek@suse.cz

- update to latest long lived branch version 340.65
  * Fixed a bug that prevented internal 4K panels on some laptops
    from being driven at a sufficient bandwidth to support their
    native resolutions.
  * Fixed a regression that prevented the NVIDIA kernel module
    from loading in some virtualized environments such as Amazon
    Web Services.
  * Fixed a regression that caused displays to be detected
    incorrectly on some notebook systems.
  * Fixed a bug that could cause X to freeze when using Base
    Mosaic.
  * Fixed a regression that prevented the NVIDIA X driver from
    recognizing Base Mosaic layouts generated by the
    nvidia-settings control panel.

-------------------------------------------------------------------
Mon Nov 17 15:31:15 UTC 2014 - sndirsch@suse.com

- Xwrapper: bail out, if an existing module cannot be unloaded;
  this can happen if a second Xsession starts

-------------------------------------------------------------------
Tue Nov 11 11:01:22 UTC 2014 - sndirsch@suse.com

- Xwrapper: rmmod nvidia_uvm first

-------------------------------------------------------------------
Thu Nov  6 15:41:48 UTC 2014 - sndirsch@suse.com

- update to latest long lived branch version 340.58
  * Added support for the following GPUs:
    + GeForce GT820M
    + GeForce GTX 760A
    + GeForce GTX 850A
    + GeForce 810A
    + GeForce 820A
    + GeForce 840A
  * Fixed a bug that could cause VT-switching to fail following a
    suspend, resume, and driver reload sequence.
  * Fixed a bug that caused incorrect colors to be displayed on X
    screens running at depth 8 on some GPUs.
  * Fixed a bug that prevented GPUs from being correctly recognized
    in MetaMode strings when identified by UUID.
  * Implemented support for disabling indirect GLX context creation
    using the -iglx option available on X.Org server release 1.16
    and newer. Note that future X.Org server releases may make the
    -iglx option the default. To re-enable support for indirect GLX
    on such servers, use the +iglx option.
  * Added the "AllowIndirectGLXProtocol" X config option. This
    option can be used to disallow use of GLX protocol. See
    "Appendix B. X Config Options" in the README for more details.

-------------------------------------------------------------------
Wed Nov  5 13:01:10 UTC 2014 - sndirsch@suse.com

- On Optimus systems disable NVIDIA driver/libs completely by
  default (bnc#902667)

-------------------------------------------------------------------
Wed Nov  5 11:05:45 UTC 2014 - sndirsch@suse.com

- Make sure that after driver uninstall /var/lib/X11/X link points
  to a valid Xserver binary again (bnc#903732)

-------------------------------------------------------------------
Tue Oct 28 13:53:43 UTC 2014 - sndirsch@suse.com

- moved /etc/modprobe.d/50-nvidia.conf from x11-video-nvidiaG03
  to nvidia-computeG03 package
- on sle11 use 51-nvidia.conf with the 'install' line only since
  the 'options' line already exists in 50-nvidia.conf, which is
  owned by xorg-x11-server there
- moved nvidia-modprobe from x11-video-nvidiaG03 to
  nvidia-computeG03 package

-------------------------------------------------------------------
Mon Oct 27 11:51:39 UTC 2014 - sndirsch@suse.com

- enable also for sle11:
  * autoselect to install also nvidia-uvm KMP; load nvidia-uvm in
    addition when nvidia module gets loaded; create the appropriate
    NVIDIA devices with the required permissions (bnc#879767)
- modprobe.nvidia: extend existing path for mknod/chmod in a flexible
  way, so it matches for sle11 and sle12

-------------------------------------------------------------------
Thu Oct  2 11:48:09 UTC 2014 - sndirsch@suse.com

- update to latest long lived branch version 340.46
  * Fixed an OpenGL issue that could cause glReadPixels() operations to
    be improperly clipped when resizing composited application windows,
    potentially leading to momentary X freezes.
  * Fixed a bug that could prevent the GLSL compiler from correctly
    evaluating some expressions when compiling shaders.
  * Fixed a bug that could cause nvidia-installer to crash while attempting
    to run nvidia-xconfig on systems where that utility is missing.
  * Added option UseSysmemPixmapAccel to control the use of GPU acceleration
    for X drawing operations on pixmaps allocated in system memory.

-------------------------------------------------------------------
Thu Aug 28 10:09:25 UTC 2014 - sndirsch@suse.com

- back to NO_KMS_IN_INITRD="yes" in %post for openSUSE 13.1 due
  to introduction of nvidia-uvm kmodule (bnc#879767, comment#53 f.)

-------------------------------------------------------------------
Sat Aug 16 14:07:37 UTC 2014 - sndirsch@suse.com

- fixed installation of libglx on %suse_version < 1315 (regression)

-------------------------------------------------------------------
Fri Aug 15 08:18:51 UTC 2014 - sndirsch@suse.com

- update-alternatives: get rid again of 
  /usr/lib64/xorg/modules/extensions/libglx.so and ghost entry for
  /etc/alternatives/libglx.so; it's sufficient to have this in
  xorg-x11-server package

-------------------------------------------------------------------
Thu Aug 14 09:09:10 UTC 2014 - sndirsch@suse.com

- update to latest long lived branch version 340.32
  * Added support for the following GPUs:
    + Quadro K420
    + Quadro K620
    + Quadro K2200
    + Quadro K4200
    + Quadro K5200
    + GeForce 830A
  * Fixed a regression that prevented the internal stereo infrared emitter
    built into some 3D Vision monitors from working.
  * Fixed a bug that could cause some Java-based OpenGL applications using
    JOGL to crash on startup on systems with Xinerama enabled.
  * Fixed a bug that could prevent OpenGL Framebuffer Objects (FBOs)
    from being properly redrawn after a modeswitch.
  * Fixed a memory leak that occurred when starting OpenGL applications.
  * Fixed a bug that prevented the EDID-Like Data (ELD) of audio-capable
    displays from being updated when hotplugged/unplugged.
  * Fixed a bug that caused Xid errors when using stereo mode 12 (HDMI 3D)
    on Quadro boards without an onboard stereo DIN connector.
  * Fixed a video corruption issue for VDPAU decoding of VC-1 and WMV
    video streams utilizing range remapping on Maxwell GPUs.
  * Fixed a "black window" bug in Ubuntu 14.04 when using the Xinerama
    and Composite extensions.
  * Fixed a bug that caused the screen's contents to be shifted downward when
    a G-SYNC monitor is unplugged and replaced by a non-G-SYNC monitor.
  * Fixed a bug that prevented G-SYNC from working when a G-SYNC monitor
    was unplugged and plugged back in without a modeset.

-------------------------------------------------------------------
Wed Aug 13 09:50:55 UTC 2014 - sndirsch@suse.com

- nvidia-glxG03:
  * added /etc/alternatives/libglx.so as ghost
  * moved libglx-nvidia.so to nvidia/nvidia-libglx.so to avoid
    messup in case anybody runs ldconfig in modules/extensions

-------------------------------------------------------------------
Mon Aug 11 12:32:35 UTC 2014 - sndirsch@suse.com

- nvidia-glG03: make use of update-alternatives for libglx.so
  (FATE#317822)

-------------------------------------------------------------------
Fri Aug  8 10:01:24 UTC 2014 - sndirsch@suse.com

- no longer use "updates" X modules directory structure with sle12
  and openSUSE > 13.1 (FATE#317822)

-------------------------------------------------------------------
Thu Aug  7 13:34:03 UTC 2014 - sndirsch@suse.com

- update to latest long lived branch version 340.24
- added 64bit EGL/GLES libs introduced with 340.xx
- added nvidia-application-profiles-%{version}-key-documentation
  introduced with 340.xx

-------------------------------------------------------------------
Fri Jul  4 09:43:34 UTC 2014 - sndirsch@suse.com

- updated to latest long lived branch version 331.89
  * Added support for the following GeForce GT 730
  * Fixed a race condition in the NVIDIA kernel module that caused 
    some GPUs to sporadically become unresponsive.
  * Updated the error reporting in the NVIDIA kernel module to 
    include the GPU serial number, when available, in error 
    messages written to the system log.
  * Fixed a bug that caused blank screens when transforming or 
    rotating displays in an SLI Mosaic layout.
  * Fixed a bug that corrupted certain software rendering on 32-bit 
    systems.

-------------------------------------------------------------------
Tue Jun  3 10:40:42 UTC 2014 - sndirsch@suse.com

- updated to latest long lived branch version 331.79
  * Fixed a bug that caused nvidia-installer to crash in environments
    where /proc is not mounted.
  * Fixed a bug that prevented module signing from working correctly
    for the NVIDIA Unified Memory kernel module when using module
    signing keys generated by nvidia-installer.
  * Fixed a bug that caused blank screens and flickering when rotating
    displays in a Base Mosaic layout.
  * Fixed a bug that caused BadRRCrtc or BadRROutput errors for big-endian
    X11 clients making certain XRandR requests.
  * Fixed a bug that corrupted certain software rendering, notably the
    stippled text used to represent disabled entries in xterm's pop-up menus.

-------------------------------------------------------------------
Mon Jun  2 13:09:21 UTC 2014 - sndirsch@suse.com

- autoselect to install also nvidia-uvm KMP; load nvidia-uvm in
  addition when nvidia module gets loaded; create the appropriate
  NVIDIA devices with the required permissions (bnc#879767)

-------------------------------------------------------------------
Wed May  7 15:15:21 UTC 2014 - sndirsch@suse.com

- update to latest long lived branch version 331.67
  * Fixed a bug that could lead to crashes when running Left 4 Dead 2
    with threaded optimizations enabled.
  * Added support for the following GPUs:
      * GeForce GT 705
      * GeForce GT 720
      * GeForce GTX 860M
      * GeForce GTX 870M
      * GeForce GTX 880M
  * Updated the makefile for the NVIDIA kernel module to work around a
    bug in older versions of GNU Make that prevented the NVIDIA kernel
    module from building correctly. This bug was fixed in version 3.81
    of GNU Make.
  * Fixed a bug that causes some X clients to be disconnected from the X
    server when the screen is resized while RandR 1.4 display offloading 
    is in use.
  * Fixed a bug that could cause display corruption when resuming from
    suspend on systems using RandR 1.4 display offloading with recent
    Linux kernels.
  * Added support for Tridelity SL stereo mode.
  * Fixed a bug that could cause nvidia-settings to crash or display
    incorrect information after switching virtual terminals while a
    color correction confirmation countdown was active.
  * Added a missing 32-bit compatibility library for
    libnvidia-fbc.so to the x86_64 Linux installer package.

-------------------------------------------------------------------
Tue Feb 25 10:57:58 UTC 2014 - sndirsch@suse.com

- no longer touch NO_KMS_IN_INITRD sysconfig variable on openSUSE
  13.1 and recreate initrd in %postun on openSUSE 13.1 (bnc#864701)

-------------------------------------------------------------------
Wed Feb 12 13:42:39 UTC 2014 - sndirsch@suse.com

- update to latest long lived branch 331.38
- enhanced rpmlintrc in order to to fix build on sle12 

-------------------------------------------------------------------
Mon Feb 10 14:30:57 UTC 2014 - sndirsch@suse.com

- with openSUSE > 13.1 and sle12 /usr/X11R6* directories need to be
  owned by the nvidia package itself

-------------------------------------------------------------------
Tue Jan 21 14:13:43 UTC 2014 - sndirsch@suse.com

- removed fetch.sh from specfile sources, added 
  generate-service-file.sh instead

-------------------------------------------------------------------
Tue Jan 21 13:53:37 UTC 2014 - sndirsch@suse.com

- updated _service file 

-------------------------------------------------------------------
Tue Jan 21 13:51:31 UTC 2014 - sndirsch@suse.com

- added generate-service-file.sh to generate _service file 

-------------------------------------------------------------------
Thu Jan 16 13:23:53 UTC 2014 - sndirsch@suse.com

- update to latest long lived branch 331.38
  * also fixes broken signal handling (bnc#858421)

-------------------------------------------------------------------
Mon Dec 16 13:45:48 UTC 2013 - sndirsch@suse.com

- no longer hardrequire nvidia-glG03 (by x11-video-nvidiaG03), just
  recommend it when installing the KMP, since there are users who
  want the driver stack except for the GL components

-------------------------------------------------------------------
Thu Dec  5 15:09:36 UTC 2013 - sndirsch@suse.com

- adjusted rpmlintrc to new subpackage 

-------------------------------------------------------------------
Thu Dec  5 14:11:34 UTC 2013 - sndirsch@suse.com

- introduced nvidia-glG03 subpackage
  * One of the problems our users face is installing the driver
    on an iGPU+dGPU system (ex. a system that would be labeled
    Optimus capable).  Specifically, users lose access to the
    mesa GL libraries when the Nvidia driver is installed, causing
    issues if they want to run X on their iGPU. Giving users the
    ability to opt-out of the GL components of the Nvidia driver
    would allow them to continue to drive the visual components
    of their system on the iGPU, and still run CUDA on their dGPU.
    (Andy Dick <adick@nvidia.com>)

-------------------------------------------------------------------
Thu Nov 28 15:00:44 UTC 2013 - sndirsch@suse.com

- update to latest long lived branch 331.20

-------------------------------------------------------------------
Wed Oct  9 08:29:41 UTC 2013 - sndirsch@suse.com

- update to current Long Lived Branch Driver Release 319.60
  changes since 319.32:
  * Fixed a bug that could cause OpenGL applications to crash during the
    initialization of new threads.
  * Fixed a bug that caused the GPU and Memory clock frequencies for some
    PowerMizer performance levels on Kepler boards to be reported incorrectly
    in the nvidia-settings control panel.
  * Fixed a bug that caused the X server to fail to start on certain laptops
    when the boot display was on an external DisplayPort monitor, for example
    if the laptop was booted while the lid was closed.
  * Fixed a bug in nvidia-installer that caused the 32-bit libGL.la
    libtool library file to be installed to the wrong location.
  * Added support for the following GPU:
      * GeForce GTX 760 Ti OEM
  * Fixed a bug that caused DisplayPort monitors connected to Quadro FX 3800,
    4800, or 5800 to remain off after DPMS.
  * Added the NVIDIA OpenGL-based Inband Frame Readback (NvIFROpenGL) library
    to the Linux driver package. This library provides a high performance,
    low latency interface to capture and optionally encode an individual
    OpenGL framebuffer. NvIFROpenGL captures pixels rendered by OpenGL only
    and is ideally suited to application capture and remoting.
  * Fixed a bug that caused applications using CUDA-GL interop to crash
    when run on X servers with Xinerama enabled.
  * Fixed a bug that could prevent some double-bit ECC errors from being
    properly reported.
  * Fixed a bug which could cause a blank screen when changing house sync
    settings on Quadro Kepler GPUs with Quadro Sync boards.
  * Fixed a bug that prevented nested loops with identical loop conditions
    in GLSL shaders from terminating correctly. This could cause hangs in
    applications such as Exa PowerVIZ.
  * Added support for the following GPUs:
      * GeForce GT 740A
      * GeForce GT 745A
      * GeForce GT 755M
      * GeForce GT 625
      * GeForce GTX 645
      * GRID K340
      * GRID K350
      * NVS 315
      * Quadro K500M
      * Quadro K6000
  * Fixed a bug that resulted in corrupt texels when a previously empty
    texture image was specified with glXBindTexImageEXT. In GNOME 3, this
    caused gnome-screenshot to produce garbled window screenshots.
  * Fixed a bug that caused the X server to crash when querying the current
    mode of disabled displays.

-------------------------------------------------------------------
Tue Sep 10 09:36:41 UTC 2013 - sndirsch@suse.com

- added modprobe options for NVIDIA kernel module, since these
  have been removed from xorg-x11-server package

-------------------------------------------------------------------
Fri Aug  9 09:06:51 UTC 2013 - sndirsch@suse.com

- Remove unneeded nvbuild-specific forks for kernel module build
  (Andy Dick <adick@nvidia.com>)
- Attempt .run file uninstallation in kmp-pre.sh. NVIDIA driver 
  installations from the .run file and the RPM packages can 
  conflict with each other. To avoid potential conflicts, add a 
  kmp-pre script and attempt uninstallation of the .run file 
  package from within it. (Andy Dick <adick@nvidia.com>)
- Add alternate-install-present file. The NVIDIA .run installer 
  will look for this file to detect whether the driver has already
  been installed via an alternate installer. If an alternate 
  installation is detected, nvidia-installer will print the 
  message contained in the alternate-install-present file, and 
  ask the user whether to continue the installation.
  (Andy Dick <adick@nvidia.com>)
- x11-video-nvidiaG03: add Provides: tags for utilities. Add 
  Provides: tags for nvidia-settings, nvidia-xconfig, and 
  nvidia-modprobe, to allow packages which depend upon these 
  utilities to correctly depend on x11-video-nvidiaG03.
  (Andy Dick <adick@nvidia.com>)
- Clarify kmp-post message. The NVIDIA driver may not be loaded 
  for reasons besides interaction with Nouveau. Change the 
  message printed in kmp-post.sh to recommend verifying that 
  the driver "can be loaded", instead of verifying that it 
  "is loaded". (Andy Dick <adick@nvidia.com>)
- Remove cuda-driver provides tag (Andy Dick <adick@nvidia.com>)
- Add nvidia-modprobe obsoletes tag (Andy Dick <adick@nvidia.com>)

-------------------------------------------------------------------
Fri Jun 28 10:21:43 UTC 2013 - sndirsch@suse.com

- update to current Long Lived Branch Driver Release 319.32
  changes since 319.23:
  * Updated the nvidia-settings control panel to report more detailed
    clocking information.
  * Fixed a bug that could cause the X server to crash after power-cycling
    displays connected behind a DisplayPort 1.2 Multi-Stream Transport hub.
  * Fixed a bug that could cause nvidia-settings to crash when switching
    VTs after changing some settings.
  * Updated the application profile syntax to allow for multiple patterns
    within a single rule. See the README for details.
  * Fixed a bug that caused OpenGL programs to crash when the __GL_DOOM3
    environment variable was set.
  * Updated the NVIDIA driver to avoid calling fork(2) to execute the
    nvidia-modprobe utility when not needed.
  * Improved the error reporting of the nvidia-persistenced utility.
  * Fixed a bug that could cause Altair HyperView to hang when rendering
    animations with tensors.
  * Fixed a performance regression in MEDINA 8.2.
  * Fixed a bug that caused the OpenGL driver to hang sometimes when running
    the SpeedTree Modeler application.
  * Fixed a bug that could cause an OpenGL application to crash if it creates
    and destroys multiple threads.
  * Fixed a bug in nvidia-installer that could cause installation
    problems when the value of the CC environment variable contained
    spaces, e.g. CC="distcc gcc"
  * Fixed a bug that caused corrupted window content in some cases when
    moving GLX windows with antialiasing enabled.
  * Fixed a bug that caused DisplayPort devices that failed link training to
    be reported as connected rather than disconnected.
  * Fixed a regression that could cause a DisplayPort device that was
    connected to one connector to turn off when a DisplayPort device on a
    different connector was connected or disconnected.
  * Added support for the following GPU:
    + GeForce 720M
  * On Kepler-based GPUs, improved the appearance of the tearing that occurs
    when using RandR 1.4's Source Output capability.  While tearing is still
    expected, the tears should now appear as horizontal lines rather than more
    noticeable checkerboard or triangular shapes.
  * Added a "Prefer Consistent Performance" PowerMizer Mode to the
    nvidia-settings control panel, available on Quadro boards that
    support this feature.

-------------------------------------------------------------------
Wed Jun 19 07:14:38 UTC 2013 - sndirsch@suse.com

- update to current Long Lived Branch Driver Release 319.23;
  changes since 319.17:
  * Fixed a regression that could cause X to crash when querying GPU
    information through NV-CONTROL on multi-GPU systems where some
    GPUs failed to be initialized for X.
  * Fixed a bug that could cause X to crash when using Vertex
    Buffer Objects (VBOs) with indirect rendering.
  * Fixed a bug that prevented some drop-down menus in nvidia-settings
    from working correctly when using older versions of GTK+.
  * Fixed RandR panning reporting when the current MetaMode is smaller
    than the X screen.
  * Fixed a regression that caused nvidia-installer to attempt
    post-processing of non-installed files.
  * Added support for the following GPUs:
    + GeForce GTX 760
    + GeForce GTX 770
    + GeForce GTX 780
  * Added the "ForceCompositionPipeline" and "ForceFullCompositionPipeline"
    MetaMode options.  See the README for details.
  * Added support for HDMI 4K resolutions. Using a 4K resolution with an
    HDMI display requires a Kepler or later GPU.
  * Added support in VDPAU for 4k resolution MPEG-1/2 and H.264 video
    decoding, up to 4032x4048 for MPEG-1/2 and 4032x4080 for H.264,
    and up to 65536 macroblocks for both.

-------------------------------------------------------------------
Thu May  2 14:40:10 UTC 2013 - sndirsch@suse.com

- update to new Long Lived Branch Driver Release 319.17
  * nvidia-cuda-proxy-control renamed to nvidia-cuda-mps-control
  * nvidia-cuda-proxy-server renamed to nvidia-cuda-mps-server
  * new tools: nvidia-persistenced, nvidia-modprobe
  * application profile sample added
  * moved nvidia-cuda-proxy-{control,server} to compute package

-------------------------------------------------------------------
Thu Apr  4 13:18:49 UTC 2013 - sndirsch@suse.com

- Update to 310.44
  Fixed CVE-2013-0131: NVIDIA UNIX GPU Driver ARGB Cursor Buffer
  Overflow in "NoScanout" Mode.  This buffer overflow, which occurred
  when an X client installed a large ARGB cursor on an X server
  running in NoScanout mode, could cause a denial of service (e.g.,
  an X server segmentation fault), or could be exploited to achieve
  arbitrary code execution.
  For more details, see: 
  http://nvidia.custhelp.com/app/answers/detail/a_id/3290 

-------------------------------------------------------------------
Mon Mar 18 11:05:42 UTC 2013 - sndirsch@suse.com

- Update to 310.40
  * Reduced the amount of time needed to establish framelock in some
    stereo configurations with many monitors.
  * Added support for the following GPUs:
    + GeForce G205M
    + GeForce GT 240M LE
    + GeForce 405M
    + GeForce 610
    + GeForce 615
    + GeForce 620M
    + GeForce GT 625M
    + GeForce GT 625 (OEM)
    + GeForce GT 635
    + GeForce 705M
    + GeForce 710M
    + GeForce GT 710M
    + GeForce GT 720A
    + GeForce GT 730M
    + Tesla X2070
    + Tesla S2050
    + Tesla K20s
  * Fixed a bug where glXSwapIntervalEXT failed to set a swap interval
    value of zero in certain situations.

-------------------------------------------------------------------
Fri Feb 22 13:06:45 UTC 2013 - sndirsch@suse.com

- x11-video-nvidiaG03: Add Provides: cuda-driver
  The CUDA metapackage depends on cuda-driver; x11-video-nvidiaG03
  must provide this package.

-------------------------------------------------------------------
Fri Jan 25 11:50:17 UTC 2013 - sndirsch@suse.com

- fixed SaX2 meta information 

-------------------------------------------------------------------
Wed Jan 23 13:12:58 UTC 2013 - sndirsch@suse.com

- created package